@echo off
rem If you have a Sound Blaster and want to hear background music in
rem Dot-Mania, you must first load the SBFMDRV driver.  Use this batch
rem file to load and unload this driver.  You may have to modify the
rem path to SBFMDRV.COM if you don't have it in the SB directory.
rem For Dot-Mania to work properly with a Sound Blaster, ensure you've
rem got the SOUND and BLASTER environment variables setup correctly
rem (see your Sound Blaster manuals for more info).

if "%BLASTER%" == "" goto nosound

if "%SOUND%" == "" goto check2
if exist %SOUND%\sbfmdrv.com goto sound1
goto sound4

:check2
if exist \sb\sbfmdrv.com goto sound2
if exist \sb16\sbfmdrv.com goto sound3
goto sound4

:nosound
dotprog
goto exit

:sound1
rem Run SBFMDRV from the directory pointed to by the SOUND variable
%SOUND%\sbfmdrv
dotprog
%SOUND%\sbfmdrv /u
goto exit

:sound2
rem Run SBFMDRV from the SB directory
\sb\sbfmdrv
dotprog
\sb\sbfmdrv /u
goto exit

:sound3
rem Run SBFMDRV from the SB16 directory
\sb16\sbfmdrv
dotprog
\sb16\sbmdrv /u
goto exit

:sound4
rem We've tried looking everywhere but can't find SBFMDRV, however because
rem the BLASTER variable exists, there's probably a non-Sound Blaster sound
rem card present.  Try loading the SBFMDRV supplied with Dot-Mania (this
rem may or may not work, depending on the sound card).
sbfmdrv
dotprog
sbfmdrv /u
goto exit

:exit
